ONVIF::Analytics::Elements::CreateRules(3)

NAME
ONVIF::Analytics::Elements::CreateRules

DESCRIPTION
Perl data type class for the XML Schema defined element CreateRules from the namespace http://www.onvif.org/ver20/analytics/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   ConfigurationToken

     $element->set_ConfigurationToken($data);
     $element->get_ConfigurationToken();

•   Rule

     $element->set_Rule($data);
     $element->get_Rule();

METHODS

  new
 my $element = ONVIF::Analytics::Elements::CreateRules->new($data);

Constructor. The following data structure may be passed to new():

 {
   ConfigurationToken => $some_value, # ReferenceToken
   Rule =>  { # ONVIF::Analytics::Types::Config
     Parameters =>  { # ONVIF::Analytics::Types::ItemList
       SimpleItem => ,
       ElementItem =>  {
       },
       Extension =>  { # ONVIF::Analytics::Types::ItemListExtension
       },
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL